Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000405ScribusGeneralpublic2004-04-01 20:542005-07-24 20:34
Reporterlinuxlingam 
Assigned Tofschmid 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformAthlonXPOSFedoraOS VersionCore 1
Product Version1.1.6 
Target VersionFixed in Version1.3.1cvs 
Summary0000405: drag rulers to measure things
Descriptioni can measure things with the Properties dialog, but i'd love to drag rulers (not just guides) to set the zero point on an object or coordinate on the page, and then measure things in relation. would be great to have this. thanks.
TagsNo tags attached.
Patch
Attached Files

- Relationships
has duplicate 0000668closedplinnell dragable ruler-startpoint 
has duplicate 0001417closedcbradney Allow user to reset position of zero of rulers... 

-  Notes
(0001482)
plinnell (administrator)
2004-05-16 05:48

Current CVS has a new measurement tool, which not only gives distances between objects, but angles and more.. Would this be satisfactory? The new tool is very functional IMO
(0001486)
plinnell (administrator)
2004-05-16 16:01

Reminder sent to linuxlingam
(0001488)
plinnell (administrator)
2004-05-16 18:02

The angle measurements are incorrect in inches,picas and mm, but work fine in pts.
(0001492)
linuxlingam (reporter)
2004-05-16 22:29

the drag ruler is an intuitive way of measuring things, aligning things, that is 'hands-on' and so important. what makes any graphic design tool 'great' is if it is designed as close to the designer's intuitive process as possible. designers love rulers to measure things in the physical world. the properties ruler and measurement has its own important purpose. but visually, the ruler marks an object or point, as 'zero' and you can visually see distances and sizes of objects and other points *instantly* and go on adding, moving, and modifying objects in relation to this point. this is intuitive and process-friendly. try it and you'll see designers loving it.
(0005695)
plinnell (administrator)
2005-07-24 20:34

Tested and they work exactly as expected.

- Issue History
Date Modified Username Field Change
2004-04-01 20:54 linuxlingam New Issue
2004-05-16 05:48 plinnell Note Added: 0001482
2004-05-16 05:48 plinnell Status new => feedback
2004-05-16 16:01 plinnell Note Added: 0001486
2004-05-16 18:02 plinnell Note Added: 0001488
2004-05-16 18:07 plinnell Assigned To => fschmid
2004-05-16 18:07 plinnell Severity feature => tweak
2004-05-16 18:07 plinnell Status feedback => assigned
2004-05-16 21:05 plinnell Relationship added has duplicate 0000668
2004-05-16 22:29 linuxlingam Note Added: 0001492
2004-12-12 20:31 cbradney Assigned To fschmid => cbradney
2004-12-12 20:31 cbradney Assigned To cbradney =>
2004-12-12 20:31 cbradney Status assigned => new
2004-12-20 20:20 cbradney Relationship added has duplicate 0001417
2005-07-24 13:29 fschmid Status new => resolved
2005-07-24 13:29 fschmid Fixed in Version => 1.3.1cvs
2005-07-24 13:29 fschmid Resolution open => fixed
2005-07-24 13:29 fschmid Assigned To => fschmid
2005-07-24 20:34 plinnell Note Added: 0005695
2005-07-24 20:34 plinnell Severity tweak => feature
2005-07-24 20:34 plinnell Status resolved => closed



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker